using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SideShowContentCreator
{
	public partial class AddButtonDlg : Form
	{
		public AddButtonDlg()
		{
			InitializeComponent();
		}

		private void AddButtonDlg_Load(object sender, EventArgs e)
		{
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.None);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Enter );
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Back);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Up);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Down);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Left);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Right);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Menu);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Play);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Stop);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Pause);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.FastForward);
			deviceBtnComboBox.Items.Add(Microsoft.SideShow.DeviceButton.Rewind);
			deviceBtnComboBox.SelectedIndex = 0;
			
		}

		private Microsoft.SideShow.DeviceButton deviceButton = Microsoft.SideShow.DeviceButton.None;
		private string buttonText = string.Empty;
		private int targetID = 1;

		public Microsoft.SideShow.DeviceButton  DeviceButton
		{
			get
			{
				return deviceButton;
			}
		}

		public string ButtonText
		{
			get
			{
				return buttonText;
			}
		}

		public int TargetID
		{
			get
			{
				return targetID;
			}
		}

		private void okButton_Click(object sender, EventArgs e)
		{
			deviceButton = (Microsoft.SideShow.DeviceButton)deviceBtnComboBox.SelectedItem;
			buttonText = buttonTextBox.Text;
			targetID = (int)targetNumeric.Value;
		}
	}
}